Package org.lwjgl.opengl

# Class APPLETextureRange

java.lang.Object
org.lwjgl.opengl.APPLETextureRange

public final class APPLETextureRange extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_STORAGE_CACHED_APPLE`
Accepted by the parameters of TexParameteri, TexParameterf, TexParameteriv, and TexParameterfv:
`static final int`
`GL_STORAGE_PRIVATE_APPLE`
Accepted by the parameters of TexParameteri, TexParameterf, TexParameteriv, and TexParameterfv:
`static final int`
`GL_STORAGE_SHARED_APPLE`
Accepted by the parameters of TexParameteri, TexParameterf, TexParameteriv, and TexParameterfv:
`static final int`
`GL_TEXTURE_RANGE_LENGTH_APPLE`
Accepted by the <pname> parameters of GetTexParameteriv and GetTexParameterfv:
`static final int`
`GL_TEXTURE_RANGE_POINTER_APPLE`
Accepted by the <pname> parameters of GetTexParameterPointerv:
`static final int`
`GL_TEXTURE_STORAGE_HINT_APPLE`
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameteriv, and GetTexParameterfv:

## Method Summary

Modifier and Type
Method
Description
`static Buffer`
`glGetTexParameterPointervAPPLE(int target, int pname, long result_size)`
`static void`
`glTextureRangeAPPLE(int target, ByteBuffer pointer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_STORAGE_HINT_APPLE

public static final int GL_TEXTURE_STORAGE_HINT_APPLE
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameteriv, and GetTexParameterfv:

See Also:
  - Constant Field Values

### GL_STORAGE_PRIVATE_APPLE

public static final int GL_STORAGE_PRIVATE_APPLE
Accepted by the parameters of TexParameteri, TexParameterf, TexParameteriv, and TexParameterfv:

See Also:
  - Constant Field Values

### GL_STORAGE_CACHED_APPLE

public static final int GL_STORAGE_CACHED_APPLE
Accepted by the parameters of TexParameteri, TexParameterf, TexParameteriv, and TexParameterfv:

See Also:
  - Constant Field Values

### GL_STORAGE_SHARED_APPLE

public static final int GL_STORAGE_SHARED_APPLE
Accepted by the parameters of TexParameteri, TexParameterf, TexParameteriv, and TexParameterfv:

See Also:
  - Constant Field Values

### GL_TEXTURE_RANGE_LENGTH_APPLE

public static final int GL_TEXTURE_RANGE_LENGTH_APPLE
Accepted by the <pname> parameters of GetTexParameteriv and GetTexParameterfv:

See Also:
  - Constant Field Values

### GL_TEXTURE_RANGE_POINTER_APPLE

public static final int GL_TEXTURE_RANGE_POINTER_APPLE
Accepted by the <pname> parameters of GetTexParameterPointerv:

See Also:
  - Constant Field Values

## Method Details

### glTextureRangeAPPLE

public static void glTextureRangeAPPLE(int target, ByteBuffer pointer)

### glGetTexParameterPointervAPPLE

public static Buffer glGetTexParameterPointervAPPLE(int target, int pname, long result_size)